couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Lehnardt <...@apache.org>
Subject Re: Problem releasing 0.9.2
Date Sat, 21 Nov 2009 17:14:58 GMT

On 18 Nov 2009, at 00:13, Jan Lehnardt wrote:

> 
> On 17 Nov 2009, at 16:20, Jan Lehnardt wrote:
> 
>> 
>> On 16 Nov 2009, at 20:33, Noah Slater wrote:
>> 
>>> 
>>> On 16 Nov 2009, at 19:27, Paul Davis wrote:
>>> 
>>>> What version of Spidermonkey are you running?
>>> 
>>> 1.9.1.4
>>> 
>>>> The 0.10.x branch has been patched to
>>>> work with newer versions. Is this something we should patch, or should
>>>> I just have the check say "Your version of spidermonkey is too new" or
>>>> something else?
>>> 
>>> If you like, but that would also prevent me from releasing. ;)
>>> 
>>> I'm not about to downgrade my system to make the release, as such a thing isn't
possible.
>>> 
>>> How hard will the backport be?
>>> 
>> 
>> I am okay with 0.9.x not supporting newer spidermonkeys. 
>> 
>> I'm happy to set you up with a box that has the correct dependencies installed to
make the release.
> 
> It was indeed very simple. I committed a fix for 0.9.2. 
> Thanks Paul for pointing in the right directions and
> verifying. Thanks Noah for testing.

That wasn't the whole story. I now backported (r882928) all of 
COUCHDB-288 to the 0.9.x branch and tested it with the old 
and new libmozjs. I think we (Noah) can roll the release now.

Noah, I accidentally committed to the 0.9.2 tag at first. I believe 
you're going to delete it prior to packaging anyway, so I didn't 
bother reverting my mistake.

Cheers
Jan
--




Mime
View raw message